********************************************************************************
** 						   Replication Package   							  **
**						      Kids Peabody						  		 	  **	
** 			   			 Thriving Beyond Borders?							  **
**.             Understanding Refugee Children's Life Outcomes   		      **
**												 							  **
********************************************************************************


* Load database
use "$dta_clean/VenReps_Kids_Variables.dta", clear
keep if nino_enc==1 
****************************************************************
* 1. Prepare databse
****************************************************************
rename tvip_*, lower
**** TVIP (Peabody)
local vars "tvip_1v304barco2 tvip_2v305lámpara4 tvip_3v306vaca1 tvip_4v310vela2 tvip_5v311trompeta1 tvip_6v312rodilla4 tvip_7v313tvip_7jaula1 tvip_8v314tvip_8ambulanc tvip_9v315leer4 tvip_10v316flecha2 tvip_11v317cuello3 tvip_12v318mueble3 tvip_13v321abeja3 tvip_14v322hora3 tvip_15v323medir2 tvip_16v324ballena2 tvip_17v325roto1 tvip_18v326acariciar1 tvip_19v327accidente2 tvip_20v328canguro2 tvip_21v329codo4 tvip_22v330río3 tvip_23v331Águila2 tvip_24v335romper4 tvip_25v336pintor3 tvip_26v337vacío3 tvip_27v338pelar3 tvip_28v339uniforme4 tvip_29v340tronco2 tvip_30v341liquído4 tvip_31v342grupo3 tvip_32v343músico2 tvip_33v344ceremonia4 tvip_34v345culebra4 tvip_35v349bebida1 tvip_36v353médico4 tvip_37v354aislamiento1 tvip_38v355mecánico2 tvip_39v356premiar3 tvip_40v357dentista3 tvip_41v358hombro3 tvip_42v359sobre2 tvip_43v360joyas1 tvip_44v361humano2 tvip_45v362artista1 tvip_46v363recoger4 tvip_47v364construcción2 tvip_48v365dirigir2 tvip_49v366arbusto1 tvip_50v367bosque3 tvip_51v368agricultura4 tvip_52v369raíz2 tvip_53v370nutritivo3 tvip_54v371par3 tvip_55v372secretaria4 tvip_56v373iluminación4 tvip_57v374carrete1 tvip_58v375transparente3 tvip_59v376cosechar1 tvip_60v387discusión1 tvip_61v388cooperación4 tvip_62v389tvip_62barand tvip_63v390sorprendido4 tvip_64v391gotear2 tvip_65v392embudo3 tvip_66v393tallo3 tvip_67v394isla1 tvip_68v395Ángulo2 tvip_69v396desilusión4 tvip_70v397carpintero2 tvip_71v398archivar3 tvip_72v399mercantil1 tvip_73v400cuarteto4 tvip_74v401marco1 tvip_75v402binocular3 tvip_76v403judicial2 tvip_77v404roer3 tvip_78v405morsa2 tvip_79v406confiar3 tvip_80v407terno4 tvip_81v408contemplar2 tvip_82v409ave3 tvip_83v410portátil2 tvip_84v411clasificar1 tvip_85v412carroña3 tvip_86v413brújula2 tvip_87v414esférico2 tvip_88v415felino2 tvip_89v416paralelo4 tvip_90v417sumergir4 tvip_91v418Árido4 tvip_92v419frágil3 tvip_93v420instruir4 tvip_94v421arqueólogo4 tvip_95v443consumir4 tvip_96v444incandescente4 tvip_97v445arrogante2 tvip_98v446utensilio2 tvip_99v447ira3 tvip_100v448cítrico3 tvip_101v449lubricar1 tvip_102v450eslabón4 tvip_103v451morada1 tvip_104v452anfibio1 tvip_105v453prodigio1 tvip_106v454jubilosa2 tvip_107v473aparición2 tvip_108v474ascender3 tvip_109v475fragmento3 tvip_110v476perpendicular tvip_111v477atuendo4 tvip_112v478córnea2 tvip_113v479paralelogramo tvip_114v480copioso tvip_115v481inducir tvip_116v482atónito tvip_117v483transeúnte tvip_118v484emisión tvip_119v485obelisco tvip_120v486ciénaga tvip_121v487ambulante tvip_122v488cóncavo tvip_123v489incisivo tvip_124v490elipse tvip_125v491deciduo"
local i=1
foreach var of local vars {
	ren `var' tvip_`i'
	loc ++i
}

* Rename variables
rename cpdv511puntuaciónnúmero pb_base
rename cpdv512puntuaciónnúmero pb_techo
rename cpdv513puntuaciónnúmero pb_errores
rename ipbv517enquéitemempiez pb_inicio

* Prepare variables
foreach var of varlist pb_base pb_techo pb_errores pb_inicio {
	replace `var'="." if `var'=="NA FLUJO"
	destring `var' , replace
}
foreach var of varlist tvip_* {
    replace `var' = subinstr(`var', ".", "",.) 
	replace `var' = subinstr(`var', ",", "",.)
	replace `var'="." if `var'=="NA FLUJO" | `var'=="TerminaPeabody" 
	replace `var'="1" if `var'=="1TerminaPeabody"
	replace `var'="2" if `var'=="2TerminaPeabody"
	replace `var'="3" if `var'=="3TerminaPeabody"
	replace `var'="4" if `var'=="4TerminaPeabody"
	replace `var'="." if `var'=="Error"
	destring `var', replace
}

* Identify the correct answer (The manual's answers)
gen pb_right_1=2
gen pb_right_2=4
gen pb_right_3=1
gen pb_right_4=2
gen pb_right_5=1
gen pb_right_6=4
gen pb_right_7=1
gen pb_right_8=1
gen pb_right_9=4
gen pb_right_10=2
gen pb_right_11=3
gen pb_right_12=3
gen pb_right_13=3
gen pb_right_14=3
gen pb_right_15=2
gen pb_right_16=2
gen pb_right_17=1
gen pb_right_18=1
gen pb_right_19=2
gen pb_right_20=2
gen pb_right_21=4
gen pb_right_22=3
gen pb_right_23=2
gen pb_right_24=4
gen pb_right_25=3
gen pb_right_26=3
gen pb_right_27=3
gen pb_right_28=4
gen pb_right_29=2
gen pb_right_30=4
gen pb_right_31=3
gen pb_right_32=2
gen pb_right_33=4
gen pb_right_34=4
gen pb_right_35=1
gen pb_right_36=4
gen pb_right_37=1
gen pb_right_38=2
gen pb_right_39=3
gen pb_right_40=3
gen pb_right_41=3
gen pb_right_42=2
gen pb_right_43=1
gen pb_right_44=2
gen pb_right_45=1
gen pb_right_46=4
gen pb_right_47=2
gen pb_right_48=2
gen pb_right_49=1
gen pb_right_50=3
gen pb_right_51=4
gen pb_right_52=2
gen pb_right_53=3
gen pb_right_54=3
gen pb_right_55=4
gen pb_right_56=4
gen pb_right_57=1
gen pb_right_58=3
gen pb_right_59=1
gen pb_right_60=1
gen pb_right_61=4
gen pb_right_62=1
gen pb_right_63=4
gen pb_right_64=2
gen pb_right_65=3
gen pb_right_66=3
gen pb_right_67=1
gen pb_right_68=2
gen pb_right_69=4
gen pb_right_70=2
gen pb_right_71=3
gen pb_right_72=1
gen pb_right_73=4
gen pb_right_74=1
gen pb_right_75=3
gen pb_right_76=2
gen pb_right_77=3
gen pb_right_78=2
gen pb_right_79=3
gen pb_right_80=4
gen pb_right_81=2
gen pb_right_82=3
gen pb_right_83=2
gen pb_right_84=1
gen pb_right_85=3
gen pb_right_86=2
gen pb_right_87=2
gen pb_right_88=2
gen pb_right_89=4
gen pb_right_90=4
gen pb_right_91=4
gen pb_right_92=3
gen pb_right_93=4
gen pb_right_94=4
gen pb_right_95=4
gen pb_right_96=4
gen pb_right_97=2
gen pb_right_98=2
gen pb_right_99=3
gen pb_right_100=3
gen pb_right_101=1
gen pb_right_102=4
gen pb_right_103=1
gen pb_right_104=1
gen pb_right_105=1
gen pb_right_106=2
gen pb_right_107=2
gen pb_right_108=3
gen pb_right_109=3
gen pb_right_110=3
gen pb_right_111=4
gen pb_right_112=2
gen pb_right_113=1
gen pb_right_114=2
gen pb_right_115=3
gen pb_right_116=3
gen pb_right_117=2
gen pb_right_118=3
gen pb_right_119=1
gen pb_right_120=3
gen pb_right_121=2
gen pb_right_122=3
gen pb_right_123=1
gen pb_right_124=4
gen pb_right_125=4

* Identify if the child answered correctly
forvalues i=1(1)125 {
  gen peabody_`i'=.
  replace peabody_`i'=1 if pb_right_`i'==tvip_`i' & nino_enc==1 & tvip_`i'!=.   // Correct answer =1
  replace peabody_`i'=0 if pb_right_`i'!=tvip_`i' & nino_enc==1 & tvip_`i'!=.	// Wrong answer =0
  label var peabody_`i' "Peabody Correct answer [=1]"
}

* Keep only peabody variables

keep id age* edad* filtro_0 tvip* peabody* pb* 


******************************************************************
* 2. PEABODY: Cognitive Development (all)
******************************************************************
* Reshape database to a long format
reshape long tvip_ peabody_ pb_right_ , i(id) j(question)

* Arrange Variables
rename tvip_ pb_answer
rename pb_right_ pb_right
rename peabody_ pb_correct

label var id "ID"
label var question "Peabody: # of question"
label var pb_inicio "Peabody: Start point (# of question), iquartil"
label var pb_answer "Peabody: Child's anwer"
label var pb_base "Peabody: Base item, iquartil"
label var pb_techo "Peabody: Ceiling item, iquartil"
label var pb_right "Peabody: Right answer"
label var pb_correct "Peabody: Child answer was correct [=1]"
order id question age* pb_answer pb_right pb_correct

* Start point
sort id question
bys id question : gen countnonmissing = sum(!missing(pb_correct)) if !missing(pb_correct)
bys id: gen temp=_n if countnonmissing==1
bys id: egen start=min(temp)
drop temp


* First mistake
sort id question
bys id: gen temp=_n if pb_correct==0
bys id: egen first_mistake=min(temp)
drop temp
// Compare to IQ
gen temp=pb_inicio-start
*br if temp!=0
drop temp

* Mistakes
gen mistake=.
replace mistake=1 if pb_correct==0
replace mistake=0 if pb_correct==1

* Answers
bys id: egen total_ans=total(countnonmissing), missing

* First observation for each child
gen first = 0
bysort id: replace first=1 if _n == 1


****************************
* CHILDREN  WITHOUT ANSWERS
****************************
* Children without peabody answers
count if first==1 & total_ans==. // 36
count if first==1 & total_ans==. & filtro_0==1
count if first==1 & total_ans==. & filtro_0==2
tab id if first==1 & total_ans==.
drop if total_ans==.
* Child with only one answer (not useful for the score)
tab total_ans
count if first==1 & total_ans==1
count if first==1 & total_ans==1 & filtro_0==1
tab id if first==1 & total_ans==1
drop if total_ans==1


**************************
* CEILING 
**************************
* Ceiling (6 mistakes in 8 answers)
gen count2=.
bys id: replace count2=mistake[_n]+ mistake[_n+1] + mistake[_n+2] + mistake[_n+3] + mistake[_n+4] + mistake[_n+5] + mistake[_n+6] + mistake[_n+7] if _n==start
local valores 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 6 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 
foreach i of local valores {
bys id: replace count2=mistake[_n]+ mistake[_n+1] + mistake[_n+2] + mistake[_n+3] + mistake[_n+4] + mistake[_n+5] + mistake[_n+6] + mistake[_n+7] if _n==start+`i'
}

* Ceiling (lowest ceiling)
gen temp=1 if count2>=6 & count2<=8
bys id: gen temp2=_n if temp==1
bys id: egen ceiling1=min(temp2) 
count if first==1 & ceiling1==.

* Replace ceiling for children that completed the test without a ceiling (i.e., reached the item 125)
bys id: gen temp3=1 if question==125 & countnonmissing==1 & ceiling==.
bys id: replace ceiling1=125 if temp3==1 & ceiling==.
bys id: egen ceiling=min(ceiling1)
drop temp temp2 temp3 ceiling1

* Ceiling item (highest item in the lowest ceiling)
bys id: gen ceiling_item=ceiling+7
replace ceiling_item=125 if ceiling==125
count if first==1 & ceiling==.


**************************
* BASE 
**************************
* Base (8 correct answers)
gen count1=.
bys id: replace count1 =pb_correct[_n]+ pb_correct[_n+1] + pb_correct[_n+2] + pb_correct[_n+3] + pb_correct[_n+4] + pb_correct[_n+5] + pb_correct[_n+6] + pb_correct[_n+7] if _n==start
local valores 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 6 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 
foreach i of local valores {
bys id: replace count1= pb_correct[_n]+ pb_correct[_n+1] + pb_correct[_n+2] + pb_correct[_n+3] + pb_correct[_n+4] + pb_correct[_n+5] + pb_correct[_n+6] + pb_correct[_n+7] if _n==start+`i'
}

* Choose the highest base
gen temp=1 if count1==8
bys id: gen temp2=_n if temp==1 & question<ceiling_item
bys id: egen base=max(temp2)
drop temp temp2

* Check how many children do not have a base (8 correct items)
count if first==1 & base==. 
count if first==1 & base==.  & filtro_0==1
count if first==1 & base==.  & filtro_0==2
//113 children don't have a base

* Children that answered but do not have a base
count if first==1 & base==. & total_ans!=. //112 Children
sort id question
* Children with no base but interviewer applied the test correctly (went back until the first question)
bys id: replace base=start if base==. & start==1
* Children with no base because the interviewer applied the instrument wrong
count if first==1 & base==.
bys id: egen temp=max(count1) if base==.
tab temp if first==1
* 3. Fix special case
replace base=45 if id=="212931"
replace ceiling_item=65 if id=="212931"
drop temp


* Count children without ceiling or base because interviewers applied the instrument wrong
count if first==1 & base==. & ceiling==.
count if first==1 & base==. & ceiling==. & filtro_0==1
count if first==1 & base==. & ceiling==. & filtro_0==2
drop if base==. & ceiling==.

count if first==1 & base==. 
count if first==1 & base==.  & filtro_0==1
count if first==1 & base==.  & filtro_0==2
tab id if first==1 & base==.

count if first==1 & ceiling==.
count if first==1 & ceiling==.  & filtro_0==1
count if first==1 & ceiling==.  & filtro_0==2
tab id if first==1 & ceiling==.


* Drop observations without info
drop if base==.
drop if ceiling_item==.
// 212 niños con peabody mal aplicado
	
**************************
* RAW SCORE
**************************
* Score (# of mistakes between the HIGHEST base and LOWEST ceiling item)
// Check if ceiling is larger than base
gen temp=ceiling_item-base
// Count number of mistakes between base and ceiling item
bys id: egen count3=total(mistake) if _n>=base & _n<=ceiling_item
bys id: egen tot_mistakes=max(count3)
// Peabody raw score (highest ceiling item - mistakes)
bys id: gen direct_score=ceiling_item-tot_mistakes


**************************
* CHECKS
**************************
* Child has to answer correctly at least the first 3 items and have at least 5 right answers (not qualified for the test)
bys id: gen tag=pb_correct[_n]+ pb_correct[_n+1] + pb_correct[_n+2] if _n==start   
tab tag // 19 children have less than 3 answers

* Child needs to have at least 6 mistakes in the test (too qualified for the test)
bys id: egen tag2=total(mistake)
tab tag2 if first==1 // 7 children have less than 6 mistakes
 
 
**************************
* STANDARDIZED SCORE
**************************
* From excel to stata
preserve
	* Raw scores and std-scores correlative
	import excel "$dta/peabody/standardization parameters.xlsx", clear first sheet(std_scores)
	drop if direct_score==.
	save "$dta/peabody/standardization parameters" , replace
restore
 
* Merge standardized scores
merge m:1 direct_score using "$dta/peabody/standardization parameters"
drop BF BG _merge


* Chronological age years and months
cap drop temp1
gen temp1=age_month/12
format temp1 %9.2f
//Years
gen years=floor(temp1)
//Months
gen temp3=years*12
gen months= age_months-temp3

* Generate standardized score according to age 
gen peabody_std=.
// 5 Y.O
replace peabody_std= e50_51 if years==5 & months>=0 & months<=1 | years==4
replace peabody_std= e52_53 if years==5 & months>=2 & months<=3
replace peabody_std= e54_55 if years==5 & months>=4 & months<=5
replace peabody_std= e56_57 if years==5 & months>=6 & months<=7
replace peabody_std= e58_59 if years==5 & months>=8 & months<=9
replace peabody_std= e510_511 if years==5 & months>=10 & months<=11
// 6 Y.O
replace peabody_std= e60_61 if years==6 & months>=0 & months<=1
replace peabody_std= e62_63 if years==6 & months>=2 & months<=3
replace peabody_std= e64_65 if years==6 & months>=4 & months<=5
replace peabody_std= e66_67 if years==6 & months>=6 & months<=7
replace peabody_std= e68_69 if years==6 & months>=8 & months<=9
replace peabody_std= e610_611 if years==6 & months>=10 & months<=11
// 7 Y.O - 17 Y-0
local valores 7 8 9 10 11 12 13 14 15 16 17
foreach i of local valores {
replace peabody_std= e`i'0_`i'2 if years==`i' & months>=0 & months<=2
replace peabody_std= e`i'3_`i'5 if years==`i' & months>=3 & months<=5
replace peabody_std= e`i'6_`i'8 if years==`i' & months>=6 & months<=8
replace peabody_std= e`i'9_`i'11 if years==`i' & months>=9 & months<=11
}

**************************
* Percentiles
**************************
* From excel to stata
preserve
	import excel "$dta/peabody/standardization parameters.xlsx", clear first sheet(percentiles)
	save "$dta/peabody/percentiles" , replace
restore

* Merge percentiles and scores
merge m:1 peabody_std using "$dta/peabody/percentiles"
sort id


**************************
* Cut-off ponits
**************************
gen pb_std_cat=.
replace pb_std_cat=1 if peabody_std>=55 & peabody_std<=69
replace pb_std_cat=2 if peabody_std>=70 & peabody_std<=84
replace pb_std_cat=3 if peabody_std>=85 & peabody_std<=99
replace pb_std_cat=4 if peabody_std==100
replace pb_std_cat=5 if peabody_std>100 & peabody_std<=114
replace pb_std_cat=6 if peabody_std>=115 & peabody_std<=130
replace pb_std_cat=7 if peabody_std>=131 & peabody_std<=145
label define lab 1"extremely low" 2"moderately low" 3"low" 4"average" 5"high" 6"moderately high" 7"extremely high"
label values pb_std_cat lab


*********************************************
* Standardize using Colombians as base group
*********************************************
// Standardized by age and colombian sample
bys age_months: egen mean1=mean(peabody_std) if filtro_0==1	
bys age_months: egen sd1=sd(peabody_std) if filtro_0==1	
gen pbd_stdm_col= (peabody_std-mean1)/sd1 
drop mean1 sd1
// Standardize by full colombian sample
egen mean1=mean(peabody_std) if filtro_0==1
egen sd1=sd(peabody_std) if filtro_0==1
gen pbd_std_col= (peabody_std-mean1)/sd1
drop mean1 sd1



**************************
* Prepare to save
**************************
keep if first==1
keep id edad ceiling_item pb_base tot_mistakes direct_score peabody_std percentile pb_std_cat pbd_std*
label var id "Child unique ID (familiaid + #child)"
label var ceiling_item "Peabody: Ceiling item"
label var pb_base "Peabody: Base"
label var tot_mistakes "Peabody: Total Mistakes"
label var direct_score "Peabody: Direct score"
label var direct_score "Peabody: Standardized score"
label var direct_score "Peabody: percentile"
label var pb_std_cat "Peabody: Sore cut-off points"
rename percentile pb_percentile

* Dummies for regressions
** Extremely Low 
gen pb_ext_low=1 if pb_percentile<=2
replace pb_ext_low=0 if pb_ext_low==. 
** Moderately Low  
gen pb_mod_low=1 if pb_percentile>2 & pb_percentile<=15
replace pb_mod_low=0 if pb_mod_low==. 
** Low 
gen pb_low=1 if pb_percentile>15 & pb_percentile<=50 
replace pb_low=0 if pb_low==. 

save "$dta_clean/VenReps_Kids_Peabody", replace
