********************************************************************************
** 						   Replication Package   							  **
**						Kids Mental Health Scores				  		 	  **	
** 			   			 Thriving Beyond Borders?							  **
**.             Understanding Refugee Children's Life Outcomes   		      **
**												 							  **
********************************************************************************

* Load database
use "$dta_clean/VenReps_Kids_Variables.dta", clear
keep if nino_enc==1 

*-------------------------------------------------------------------*
* 
*			Mental Health Scales and Scores   					   
*
*-------------------------------------------------------------------*
*------------------------------------------------------------------------------*
* 		1. Prepare database			   
*------------------------------------------------------------------------------*
**** SDQ
local vars1 "sdqcas1v231comportamiento sdqcas1v232comportamiento sdqcas1v233comportamiento sdqcas1v234comportamiento sdqcas1v235comportamiento sdqcas1v236comportamiento sdqcas1v237comportamiento sdqcas1v238comportamiento sdqcas1v239comportamiento sdqcas1v240comportamiento sdqcas1v241comportamiento sdqcas1v242comportamiento sdqcas2v243comportamiento sdqcas2v255comportamiento sdqcas2v256comportamiento sdqcas2v257comportamiento sdqcas2v258comportamiento sdqcas2v259comportamiento sdqcas2v260comportamiento sdqcas2v261comportamiento sdqcas2v262comportamiento sdqcas2v263comportamiento sdqcas2v264comportamiento sdqcas2v265comportamiento sdqcas2v1469comportamient"
local i=1
foreach var of local vars1 {
	ren `var' sdq_`i'
	loc i=`i'+1
}
	
**** TSC
local vars2 "tsc_11v266sentimientost tsc_11v267sentimientost tsc_11v268sentimientost tsc_11v269sentimientost tsc_11v270sentimientost tsc_11v271sentimientos tsc_11v272sentimientost tsc_11v273sentimientost tsc_11v274sentimientost tsc_11v275sentimientost tsc_11v276sentimientost tsc_11v277sentimientost tsc_11v278sentimientost tsc_11v279sentimientost tsc_11v280sentimientost tsc_11v281sentimientost tsc_11v282sentimientost tsc_11v283sentimientost tsc_11v284sentimientost tsc_11v285sentimientost tsc_11v286sentimientost tsc_11v287sentimientost tsc_11v288sentimientost tsc_11v289sentimientost tsc_11v290sentimientost tsc_111v291presentadoco tsc_111v292presentadoco tsc_111v293presentadoco tsc_111v294presentadoco tsc_111v295presentadoco tsc_111v296presentadoco tsc_111v297presentadoco tsc_111v298presentadoco tsc_111v299presentadoco tsc_111v300presentadoco tsc_111v301presentadoco tsc_111v302presentadoco tsc_111v303presentadoco tsc_111v304presentadoco tsc_111v305presentadoco tsc_111v306presentadoco tsc_111v307presentadoco tsc_111v308presentadoco tsc_111v309presentadoco tsc_111v310presentadoco tsc_111v311presentadoco tsc_111v312presentadoco tsc_111v313presentadoco tsc_111v314presentadoco tsc_111v315presentadoco tsc_1111v316presentado tsc_1111v317presentado tsc_1111v318presentado tsc_1111v319presentado tsc_1111v320presentado tsc_1111v321presentado tsc_1111v322presentado tsc_1111v323presentado tsc_1111v324presentado tsc_1111v325presentado tsc_1111v326presentado tsc_1111v327presentado tsc_1111v328presentado tsc_1111v329presentado tsc_1111v330presentado tsc_1111v331presentado tsc_1111v332presentado tsc_1111v333presentado tsc_1111v334presentado tsc_1111v335presentado tsc_1111v336presentado tsc_1111v337presentado tsc_1111v338presentado tsc_1111v339presentado tsc_1111v340presentado tsc_11111v341presentad tsc_11111v342presentad tsc_11111v343presentad tsc_11111v344presentad tsc_11111v345presentad tsc_11111v346presentad tsc_11111v347presentad tsc_11111v348presentad tsc_11111v349presentad tsc_11111v350presentad tsc_11111v351presentad tsc_11111v352presentad tsc_11111v353presentad tsc_11111v354presentad tsc_11111v355presentad"
local i=1
foreach var of local vars2 {
	ren `var' tsc_`i'
	loc ++i
}

**** PHQ-9
ren phq_1v81problemasphq_1 phq_1
ren phq_1v82problemasphq_2 phq_2
ren phq_1v83problemasphq_3 phq_3
ren phq_1v84problemasphq_4 phq_4
ren phq_1v85problemasphq_5 phq_5
ren phq_1v86problemasphq_6 phq_6
ren phq_1v87problemasphq_7 phq_7
ren phq_1v88problemasphq_8 phq_8
ren phq_1v89problemasphq_9 phq_9
ren phq_10v148quétantadific phq_10

**** GAD-7	
ren gadv90problemasgad_1te gad7_1
ren gadv91problemasgad_2no gad7_2
ren gadv92problemasgad_3te gad7_3
ren gadv93problemasgad_4ha gad7_4
ren gadv94problemasgad_5te gad7_5
ren gadv95problemasgad_6te gad7_6
ren gadv96problemasgad_7ha gad7_7

* SDQ
label define sdq 1"Not true" 2"Somewhat true" 3"Absolutely true"
forvalues i=1(1)25 {
	 replace sdq_`i'="1" if sdq_`i'=="01.  No es cierto" | sdq_`i'=="01. No es cierto"
	 replace sdq_`i'="2" if sdq_`i'=="02. Un tanto cierto"
	 replace sdq_`i'="3" if sdq_`i'=="03. Absolutamente cierto"
	 replace sdq_`i'="." if sdq_`i'=="NA" | sdq_`i'=="90"
	
	destring sdq_`i', replace
	label values sdq_`i' sdq
}

* TSC
label define tsc 1"Never" 2"Sometimes" 3"Often" 4"Very Often"
forvalues i=1(1)90 {
	 replace tsc_`i'="1" if tsc_`i'=="01. Nunca" 
	 replace tsc_`i'="2" if tsc_`i'=="02. A veces"
	 replace tsc_`i'="3" if tsc_`i'=="03. Con Frecuencia"
	 replace tsc_`i'="4" if tsc_`i'=="04. Con Mucha Frecuencia"
	 replace tsc_`i'="." if tsc_`i'=="NS/NR"
	 replace tsc_`i'="." if tsc_`i'=="NA" | tsc_`i'=="NA FLUJO" | tsc_`i'=="90"
	destring tsc_`i', replace
	label values tsc_`i' tsc
}

* GAD-7
label define gad 1"Never" 2"Less than half days" 3"More than half days" 4"Almost every day"
forvalues i=1(1)7 {
	 replace gad7_`i'="1" if gad7_`i'=="01. Nunca" 
	 replace gad7_`i'="2" if gad7_`i'=="02. Menos de la mitad de los días"
	 replace gad7_`i'="3" if gad7_`i'=="03. Más de la mitad de los días"
	 replace gad7_`i'="4" if gad7_`i'=="04. Casi todos los días"
	 replace gad7_`i'="." if gad7_`i'=="NA" | gad7_`i'=="NA FLUJO" | gad7_`i'=="90"
	
	destring gad7_`i', replace
	label values gad7_`i' gad
}

* PHQ-9
label define phq 1"Never" 2"Several days" 3"More than half days" 4"Almost every day"
forvalues i=1(1)9 {
	 replace phq_`i'="1" if phq_`i'=="01. Ningún día" 
	 replace phq_`i'="2" if phq_`i'=="02. Varios días"
	 replace phq_`i'="3" if phq_`i'=="03. Más de la mitad de los días"
	 replace phq_`i'="4" if phq_`i'=="04. Casi todos los días"
	 replace phq_`i'="." if phq_`i'=="NA" | phq_`i'=="NA FLUJO" | phq_`i'=="{VACIO}" | phq_`i'=="90" 
	
	destring phq_`i', replace
	label values phq_`i' phq
}



******************************************************************
* 1. TSCYC: Trauma symptoms for young shildren children (5-10 y.o)
******************************************************************
* Note: More score worse outcome

** Calculating Raw scores **
//Note about missing values NR: For each scale, determine the # of missing values, if 3 or more items are left blank, a score for that scale should not be calculated.

* 1.1.1 Arrange variables
* Replace missing values "99" for "." (ALREADY DONE IN DO 03)

* 1.1.2  RL - Response Level
// This scale is made up of 9 items: 3, 14, 22, 53, 66, 73, 83, 86, 89 
	* Count the number of missings in the scale
	egen mrl=rowmiss(tsc_3 tsc_14 tsc_22 tsc_53 tsc_66 tsc_73 tsc_83 tsc_86 tsc_89)
	* Replace with 1, missing values if the number of missings is less than 3
	local vars1 "tsc_3 tsc_14 tsc_22 tsc_53 tsc_66 tsc_73 tsc_83 tsc_86 tsc_89"
	foreach var of local vars1 {
		replace `var'=1 if mrl<3 & `var'==.
	} 
	* Calculate score (count # of items with 1)
	egen tsc_rl_raw= anycount(tsc_3 tsc_14 tsc_22 tsc_53 tsc_66 tsc_73 tsc_83 tsc_86 tsc_89), values(1)
	
	
* 1.1.3  ATR - Atypical Response
// This scale is made up of 9 items: 9, 30, 37, 40, 51, 60, 64, 77, 79 
	* Count the number of missings in the scale
	egen mar=rowmiss(tsc_9 tsc_30 tsc_37 tsc_40 tsc_51 tsc_60 tsc_64 tsc_77 tsc_79)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars2 "tsc_9 tsc_30 tsc_37 tsc_40 tsc_51 tsc_60 tsc_64 tsc_77 tsc_79"
	foreach var of local vars2 {
		replace `var'=1 if mar<3 & `var'==.
	} 
	* Calculate score (add values)
	gen tsc_atr_raw= tsc_9 + tsc_30 + tsc_37 + tsc_40 + tsc_51 + tsc_60 + tsc_64 + tsc_77 + tsc_79
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_atr_raw=. if mar>=3 & mar!=.
	

* 1.1.4  ANX - Anxiety
// This scale is made up of 9 items: 7, 21, 31, 32, 42, 44, 57, 67, 76
	* Count the number of missings in the scale
	egen manx=rowmiss(tsc_7 tsc_21 tsc_31 tsc_32 tsc_42 tsc_44 tsc_57 tsc_67 tsc_76)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars3 "tsc_7 tsc_21 tsc_31 tsc_32 tsc_42 tsc_44 tsc_57 tsc_67 tsc_76"
	foreach var of local vars3 {
		replace `var'=1 if manx<3 & `var'==.
	} 
	* Calculate score (add values)
	gen tsc_anx_raw= tsc_7 + tsc_21 + tsc_31 + tsc_32 + tsc_42 + tsc_44 + tsc_57 + tsc_67 + tsc_76
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_anx_raw=. if manx>=3 & manx!=.
	
	
* 1.1.5  DEP - Depression
// This scale is made up of 9 items: 2, 18, 41, 54, 61, 68, 71, 84, 88
	* Count the number of missings in the scale
	egen mdp=rowmiss(tsc_2 tsc_18 tsc_41 tsc_54 tsc_61 tsc_68 tsc_71 tsc_84 tsc_88)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars4 "tsc_2 tsc_18 tsc_41 tsc_54 tsc_61 tsc_68 tsc_71 tsc_84 tsc_88"
	foreach var of local vars4 {
		replace `var'=1 if mdp<3 & `var'==.
	}
	* Calculate score (add values)
	gen tsc_dep_raw= tsc_2 + tsc_18 + tsc_41 + tsc_54 + tsc_61 + tsc_68 + tsc_71 + tsc_84 + tsc_88
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_dep_raw=. if mdp>=3 & mdp!=.

* 1.1.6  ANG - Anger/Agression
// This scale is made up of 9 items: 1, 15, 23, 34, 43, 58, 62, 87, 90
	* Count the number of missings in the scale
	egen mang=rowmiss(tsc_1 tsc_15 tsc_23 tsc_34 tsc_43 tsc_58 tsc_62 tsc_87 tsc_90)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars5 "tsc_1 tsc_15 tsc_23 tsc_34 tsc_43 tsc_58 tsc_62 tsc_87 tsc_90"
	foreach var of local vars5 {
		replace `var'=1 if mang<3 & `var'==.
	}
	* Calculate score (add values)
	gen tsc_ang_raw= tsc_1 + tsc_15 + tsc_23 + tsc_34 + tsc_43 + tsc_58 + tsc_62 + tsc_87 + tsc_90
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_ang_raw=. if mang>=3 & mang!=.
	

* 1.1.7 PTSI - Posttraumatic Stress-Intrusion 
// This scale is made up of 9 items: 4, 11, 19, 24, 27, 36, 63, 69, 80
	* Count the number of missings in the scale
	egen mptsi=rowmiss(tsc_4 tsc_11 tsc_19 tsc_24 tsc_27 tsc_36 tsc_63 tsc_69 tsc_80)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars6 "tsc_4 tsc_11 tsc_19 tsc_24 tsc_27 tsc_36 tsc_63 tsc_69 tsc_80"
	foreach var of local vars6 {
		replace `var'=1 if mptsi<3 & `var'==.
	}
	* Calculate score (add values)
	gen tsc_ptsi_raw= tsc_4 + tsc_11 + tsc_19 + tsc_24 + tsc_27 + tsc_36 + tsc_63 + tsc_69 + tsc_80
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_ptsi_raw=. if mptsi>=3 & mptsi!=.

	
* 1.1.8 PTSAV - Posttraumatic Stress-Avoidance
// This scale is made up of 9 items: 8, 13, 29, 39, 49, 55, 70, 72, 81
	* Count the number of missings in the scale
	egen mptsav=rowmiss(tsc_8 tsc_13 tsc_29 tsc_39 tsc_49 tsc_55 tsc_70 tsc_72 tsc_81)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars7 "tsc_8 tsc_13 tsc_29 tsc_39 tsc_49 tsc_55 tsc_70 tsc_72 tsc_81"
	foreach var of local vars7 {
		replace `var'=1 if mptsav<3 & `var'==.
	}
	* Calculate score (add values)
	gen tsc_ptsav_raw= tsc_8 + tsc_13 + tsc_29 + tsc_39 + tsc_49 + tsc_55 + tsc_70 + tsc_72 + tsc_81
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_ptsav_raw=. if mptsav>=3 & mptsav!=.

	
* 1.1.9 PTSAR - Posttraumatic Stress-Arousal 
// This scale is made up of 9 items: 10, 17, 26, 45, 47, 48, 56, 74, 82
	* Count the number of missings in the scale
	egen mptsar=rowmiss(tsc_10 tsc_17 tsc_26 tsc_45 tsc_47 tsc_48 tsc_56 tsc_74 tsc_82)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars8 "tsc_10 tsc_17 tsc_26 tsc_45 tsc_47 tsc_48 tsc_56 tsc_74 tsc_82"
	foreach var of local vars8 {
		replace `var'=1 if mptsar<3 & `var'==.
	}
	* Calculate score (add values)
	egen tsc_ptsar_raw= rowtotal(tsc_10 tsc_17 tsc_26 tsc_45 tsc_47 tsc_48 tsc_56 tsc_74 tsc_82)
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_ptsar_raw=. if mptsar>=3 & mptsar!=.


* 1.1.10 PTSTOT - Posttraumatic Stress-Total 
// This scale is made up of the scores of 3 scales: PTSI, PTSAV PTSAR
	* Calculate score (Add PTSI PTSAV PTSAR raw scores)
	gen tsc_ptstot_raw= tsc_ptsi_raw + tsc_ptsav_raw + tsc_ptsar_raw
	

* 1.1.11 DIS - Dissociation
// This scale is made up of 9 items: 5, 25, 28, 33, 38, 46, 52, 78, 85
	* Count the number of missings in the scale
	egen mdis=rowmiss(tsc_5 tsc_25 tsc_28 tsc_33 tsc_38 tsc_46 tsc_52 tsc_78 tsc_85)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars9 "tsc_5 tsc_25 tsc_28 tsc_33 tsc_38 tsc_46 tsc_52 tsc_78 tsc_85"
	foreach var of local vars9 {
		replace `var'=1 if mdis<3 & `var'==.
	}
	* Calculate score (add values)
	egen tsc_dis_raw= rowtotal(tsc_5 tsc_25 tsc_28 tsc_33 tsc_38 tsc_46 tsc_52 tsc_78 tsc_85)
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_dis_raw=. if mdis>=3 & mdis!=.
	

* 1.1.12 SC - Sexual Concerns
// This scale is made up of 9 items: 6, 12, 16, 20, 35, 50, 59, 65, 75
	* Count the number of missings in the scale
	egen msc=rowmiss(tsc_6 tsc_12 tsc_16 tsc_20 tsc_35 tsc_50 tsc_59 tsc_65 tsc_75)
	* Replace with 1 missing values if the number of missings is less than 3
	local vars10 "tsc_6 tsc_12 tsc_16 tsc_20 tsc_35 tsc_50 tsc_59 tsc_65 tsc_75"
	foreach var of local vars10 {
		replace `var'=1 if msc<3 & `var'==.
	}
	* Calculate score (add values)
	egen tsc_sc_raw= rowtotal(tsc_6 tsc_12 tsc_16 tsc_20 tsc_35 tsc_50 tsc_59 tsc_65 tsc_75)
	* Replace with missing the score if there are 3 or more missing values
	replace tsc_sc_raw=. if msc>=3 & msc!=.
	
* Compute raw score
egen tscyc_raw=rowmean(tsc_anx_raw tsc_dep_raw tsc_ang_raw tsc_dis_raw tsc_sc_raw tsc_ptstot_raw)

* Compute rawscore without sexual concerns 
egen tscyc_simple=rowmean(tsc_anx_raw tsc_dep_raw tsc_ang_raw tsc_dis_raw tsc_ptstot_raw)

* Standardize raw scores by age 	
foreach i in tscyc_simple tsc_anx_raw tsc_dep_raw tsc_ang_raw tsc_ptsi_raw tsc_ptsav_raw tsc_ptsar_raw tsc_ptstot_raw tsc_dis_raw tsc_sc_raw  {
	cap drop mean var r2 sd
	
	lpoly `i' age_months if nino_enc==1 & group==1, at(age_months) gen(mean)	///
		  nograph
	gen r2=(`i'-mean)^2
	
	lpoly r2 age_months if nino_enc==1 & group==1, at(age_months) gen(var) nograph
	gen sd=sqrt(var)
	gen `i'_std=(`i'-mean)/sd			
			
}

* Compute standardized tscyc score
egen score_tscyc_std=rowmean(tsc_anx_raw_std tsc_dep_raw_std tsc_ang_raw_std tsc_dis_raw_std tsc_sc_raw_std tsc_ptstot_raw_std)

* Compute stadardized tscyc score without sexual concerns
// Andrés learned this is not a reliable scale
egen score_tscyc_v2_std=rowmean(tsc_anx_raw_std tsc_dep_raw_std tsc_ang_raw_std tsc_dis_raw_std tsc_ptstot_raw_std)
	
	
* TSCYC scale t-scores
gen sum_tscyc_rl=tsc_rl_raw 
gen sum_tscyc_atr=tsc_atr_raw
gen sum_tscyc_anxiety=tsc_anx_raw
gen sum_tscyc_depression=tsc_dep_raw
gen sum_tscyc_anger=tsc_ang_raw 
gen sum_tscyc_intrusion=tsc_ptsi_raw 
gen sum_tscyc_avoidance=tsc_ptsav_raw
gen sum_tscyc_arousal=tsc_ptsar_raw 
gen sum_tscyc_ptstot=tsc_ptstot_raw
gen sum_tscyc_dissociation=tsc_dis_raw
gen sum_tscyc_sex_concern=tsc_sc_raw


* Male
	preserve
			*Import the score table
			import excel "$dta/tscyc/t-scores-tscyc.xlsx", clear first sheet(tscyc_male)
			keep if _n<=82
			tempfile tscyc_male
			save `tscyc_male', replace
	restore

	global subconstruct "rl atr anxiety depression anger intrusion avoidance arousal ptstot dissociation sex_concern "
		
	* Merge with the database
	foreach group in $subconstruct  {
		merge m:1 sum_tscyc_`group' using `tscyc_male', keepus(male_tscore_tscyc_`group') gen(mer)
		drop if mer==2
		drop mer
		
	}

* Female
	preserve
			*Import the score table
			import excel "$dta/tscyc/t-scores-tscyc.xlsx", clear first sheet(tscyc_fem)
			keep if _n<=82
			tempfile tscyc_fem
			save `tscyc_fem' , replace
	restore


	* Merge with the database
	foreach group in $subconstruct  {
		merge m:1 sum_tscyc_`group' using `tscyc_fem', keepus(fem_tscore_tscyc_`group') gen(mer)
		drop if mer==2
		drop mer
		
	}

* Compute unique tscore by subscale
foreach group in $subconstruct {
	gen tscore_`group'=.							
	replace tscore_`group'=fem_tscore_tscyc_`group' if sexo==2
	replace tscore_`group'=male_tscore_tscyc_`group' if sexo==1
		}
	
* Compute tscore for tscyc (mean=50 and std=10)
egen tscore_tscyc=rowmean(tscore_anger tscore_anxiety tscore_depression tscore_dissociation tscore_sex_concern tscore_ptstot)



* Compute risk threshold
local tscyc tscyc anger anxiety depression dissociation arousal avoidance intrusion sex_concern ptstot
foreach x in `tscyc' {
	gen risk65_`x' = cond(tscore_`x'>65 & tscore_`x'!=., 1,0)
}

* Response level checks
tab tscore_rl if nino_enc==1 & group==1 //>=70 SHOULD BE INVALID
tab tscore_atr if nino_enc==1 & group==1 //>=90 SHOULD BE INVALID
//Note: In the end we counted all surveys and we did not exclude



******************************************************************
* 2. SDQ: Strenghts and difficulties (5-17 y.o) 
******************************************************************
* Note: In the original scale more score worst outcome
* Recode variables
foreach i in 1 2 3 4 5 6 8 9 10 12 13 15 16 17 18 19 20 22 23 24 {
recode sdq_`i' (1=0) (2=1) (3=2)
replace sdq_`i'=. if sdq_`i'==99 | sdq_`i'==90
}

* Recode special variables
foreach i in 7 11 14 21 25 {
recode sdq_`i' (1=2) (2=1) (3=0)
replace sdq_`i'=. if sdq_`i'==99 | sdq_`i'==90
}

* Calculate scores
* Emotional symptoms score
egen rm1=rowmiss(sdq_3 sdq_8 sdq_13 sdq_16 sdq_24) // 1 or 2 missings replace with 1
gen sdq_sc1= sdq_3 + sdq_8 + sdq_13 + sdq_16 + sdq_24
* Conduct problems score
egen rm2=rowmiss(sdq_5 sdq_7 sdq_12 sdq_18 sdq_22)
gen sdq_sc2= sdq_5 + sdq_7 + sdq_12 + sdq_18 + sdq_22
* Hyperactivity score
egen rm3=rowmiss(sdq_2 sdq_10 sdq_15 sdq_21 sdq_25)
gen sdq_sc3= sdq_2 + sdq_10 + sdq_15 + sdq_21 + sdq_25
* Problems with peers score
egen rm4=rowmiss(sdq_6 sdq_11 sdq_14 sdq_19 sdq_23)
gen sdq_sc4= sdq_6 + sdq_11 + sdq_14 + sdq_19 + sdq_23
* Prosocial conduct score
egen rm5=rowmiss(sdq_1 sdq_4 sdq_9 sdq_17 sdq_20)
gen sdq_sc5= sdq_1 + sdq_4 + sdq_9 + sdq_17 + sdq_20

* Total score (exclude prosocial scale: sdq_1 + sdq_4 + sdq_9 + sdq_17 + sdq_20)
egen sdq_score= rowtotal(sdq_2 sdq_3 sdq_5 sdq_6 sdq_7 sdq_8 sdq_10 sdq_11 sdq_12 sdq_13 sdq_14 sdq_15 sdq_16 sdq_18 sdq_19 sdq_21 sdq_22 sdq_23 sdq_24 sdq_25) if rm1<2 & rm2<2 & rm3<3 & rm4<2 , missing

* Standarize each variable (by age in months)	
foreach i of varlist sdq_1 sdq_2 sdq_3 sdq_4 sdq_5 sdq_6 sdq_7 sdq_8 sdq_9 sdq_10 sdq_11 sdq_12 sdq_13 sdq_14 sdq_15 sdq_16 sdq_17 sdq_18 sdq_19 sdq_20 sdq_21 sdq_22 sdq_23 sdq_24 sdq_25 {
	cap drop mean var r2 sd
	
	lpoly `i' age_months if nino_enc==1 & group==2, at(age_months) gen(mean)	///
		  nograph
	gen r2=(`i'-mean)^2
	
	lpoly r2 age_months if nino_enc==1 & group==2, at(age_months) gen(var) nograph
	gen sd=sqrt(var)
	gen `i'_std=(`i'-mean)/sd			
			
}

* Standarize subscales (by age in months)	
foreach i in sdq_sc1 sdq_sc2 sdq_sc3 sdq_sc4 sdq_sc5  {
	cap drop mean var r2 sd
	
	lpoly `i' age_months if nino_enc==1 , at(age_months) gen(mean)	///
		  nograph
	gen r2=(`i'-mean)^2
	
	lpoly r2 age_months if nino_enc==1 , at(age_months) gen(var) nograph
	gen sd=sqrt(var)
	gen `i'_std=(`i'-mean)/sd			
			
}

* Total standarized score (by age in months)
gen sdq_score_std= sdq_sc1_std + sdq_sc2_std + sdq_sc3_std + sdq_sc4_std


* Cut-off points dummies (Normal, limit, abnormal)
*Total score
gen sdq_score_1=.
replace sdq_score_1=0 if sdq_score>13 & sdq_score!=.
replace sdq_score_1=1 if sdq_score<=13  //Normal
gen sdq_score_2=.
replace sdq_score_2=0 if sdq_score<14 | sdq_score>16 & sdq_score!=.
replace sdq_score_2=1 if  sdq_score>=14 & sdq_score<=16 //Limit
gen sdq_score_3=. 
replace sdq_score_3=0 if sdq_score<17 
replace sdq_score_3=1 if  sdq_score>=17 & sdq_score!=. //Abnormal
* Emotional score
gen sdq_sc1_1=.
replace sdq_sc1_1=0 if sdq_sc1>3 & sdq_sc1!=.
replace sdq_sc1_1=1 if sdq_sc1<=3  //Normal
gen sdq_sc1_2=.
replace sdq_sc1_2=0 if sdq_sc1!=4 & sdq_sc1!=.
replace sdq_sc1_2=1 if sdq_sc1==4 //Limit
gen sdq_sc1_3=.
replace sdq_sc1_3=0 if sdq_sc1<5
replace sdq_sc1_3=1 if sdq_sc1>=5 & sdq_sc1!=. //Abnormal
* Conduct problems score
gen sdq_sc2_1=.
replace sdq_sc2_1=0 if sdq_sc2>2 & sdq_sc2!=.
replace sdq_sc2_1=1 if sdq_sc2<=2  //Normal
gen sdq_sc2_2=.
replace sdq_sc2_2=0 if sdq_sc2!=3 & sdq_sc2!=.
replace sdq_sc2_2=1 if sdq_sc2==3 //Limit
gen sdq_sc2_3=.
replace sdq_sc2_3=0 if sdq_sc2<4
replace sdq_sc2_3=1 if sdq_sc2>=4 & sdq_sc2!=. //Abnormal
* Hyperactivity score	
gen sdq_sc3_1=.
replace sdq_sc3_1=0 if sdq_sc3>5 & sdq_sc3!=.
replace sdq_sc3_1=1 if sdq_sc3<=5  //Normal
gen sdq_sc3_2=.
replace sdq_sc3_2=0 if sdq_sc3!=6 & sdq_sc3!=.
replace sdq_sc3_2=1 if sdq_sc3==6 //Limit
gen sdq_sc3_3=.
replace sdq_sc3_3=0 if sdq_sc3<7
replace sdq_sc3_3=1 if sdq_sc3>=7 & sdq_sc3!=. //Abnormal
* Problems with peers score
gen sdq_sc4_1=.
replace sdq_sc4_1=0 if sdq_sc4>2 & sdq_sc4!=.
replace sdq_sc4_1=1 if sdq_sc4<=2  //Normal
gen sdq_sc4_2=.
replace sdq_sc4_2=0 if sdq_sc4!=3 & sdq_sc4!=.
replace sdq_sc4_2=1 if sdq_sc4==3 //Limit
gen sdq_sc4_3=.
replace sdq_sc4_3=0 if sdq_sc4<4
replace sdq_sc4_3=1 if sdq_sc4>=4 & sdq_sc4!=. //Abnormal
* Prosocial conduct score
gen sdq_sc5_1=.
replace sdq_sc5_1=0 if sdq_sc5<6 & sdq_sc5!=.
replace sdq_sc5_1=1 if sdq_sc5>=6 & sdq_sc5!=.  //Normal
gen sdq_sc5_2=.
replace sdq_sc5_2=0 if sdq_sc5!=5 & sdq_sc5!=.
replace sdq_sc5_2=1 if sdq_sc5==5 //Limit
gen sdq_sc5_3=.
replace sdq_sc5_3=0 if sdq_sc5>4 & sdq_sc5!=.
replace sdq_sc5_3=1 if sdq_sc5<=4  //Abnormal

* Standard deviations dummies
// One std
gen sdq_std_1=.
replace sdq_std_1=0 if sdq_score_std!=.
replace sdq_std_1=1 if sdq_score_std>=1 & sdq_score_std<2
// 2 or more std
gen sdq_std_2=.
replace sdq_std_2=0 if sdq_score_std!=.
replace sdq_std_2=1 if sdq_score_std>=2 & sdq_score_std!=.

forvalues i=1(1)5 {
// One std
gen sdq_std`i'_1=.
replace sdq_std`i'_1=0 if sdq_sc`i'_std!=.
replace sdq_std`i'_1=1 if sdq_sc`i'_std>=1 & sdq_sc`i'_std<2
// 2 or more std
gen sdq_std`i'_2=.
replace sdq_std`i'_2=0 if sdq_sc`i'_std!=.
replace sdq_std`i'_2=1 if sdq_sc`i'_std>=2 & sdq_sc`i'_std!=.
	
}



******************************************************************
* 3. Generalized Anxiety Severity (11-17 y.o)
******************************************************************
* Note: In the original scale more score worst outcome

* Calculate score
recode gad7_1 gad7_2 gad7_3 gad7_4 gad7_5 gad7_6 gad7_7 (1=0) (2=1) (3=2) (4=3)
forvalues i=1(1)7 {
replace gad7_`i'=. if gad7_`i'==99 
}
gen gad7_score= gad7_1 + gad7_2 + gad7_3 + gad7_4 + gad7_5 + gad7_6 + gad7_7 

* Standarize scale score (age in months)
bys age_months: egen gad_mean=mean(gad7_score) if nino_enc==1 & group==2	
bys age_months: egen gad_sd=sd(gad7_score) if nino_enc==1 & group==2
gen gad_td= (gad7_score-gad_mean)/gad_sd

* Standarize and soften tails (age in months)	
foreach i in gad7_score {
	cap drop mean var r2 sd
	
	lpoly `i' age_months if nino_enc==1 & group==2, at(age_months) gen(mean)	///
		  nograph
	gen r2=(`i'-mean)^2
	
	lpoly r2 age_months if nino_enc==1 & group==2, at(age_months) gen(var) nograph
	gen sd=sqrt(var)
	gen `i'std=(`i'-mean)/sd					
}

* Cut-off points dummies
gen mild_a=.   // 5-9
replace mild_a=0 if gad7_score<5 | gad7_score>10 & gad7_score!=.
replace mild_a=1 if gad7_score>=5 & gad7_score<10
gen moderate_a=. // 10-14
replace moderate_a=0  if gad7_score<10 | gad7_score>=15 & gad7_score!=.
replace moderate_a=1 if gad7_score>=10 & gad7_score<15
gen severe_a=.  //15 or more
replace severe_a=0 if  gad7_score>=5 & gad7_score<10 | gad7_score>=10 & gad7_score<15
replace severe_a=1 if  gad7_score>=15 & gad7_score!=. 

* At risk (moderate or more)
gen anxiety_risk=.
replace anxiety_risk=1 if gad7_score>=10 & gad7_score!=. 
replace anxiety_risk=1 if gad7_score<10 & gad7_score!=. 	
	
******************************************************************
*4. PHQ-9: Depression Severity (11-17 y.o)
******************************************************************
* Note: In the original scale more score worst outcome

* Calculate score
recode phq_1 phq_2 phq_3 phq_4 phq_5 phq_6 phq_7 phq_8 phq_9 (1=0) (2=1) (3=2) (4=3)
forvalues i=1(1)9 {
replace phq_`i'=. if phq_`i'==99 
}
gen phq_score= phq_1 + phq_2 + phq_3 + phq_4 + phq_5 + phq_6 + phq_7 + phq_8 + phq_9

* Standarize scale score (age in months)
bys age_months: egen phq_mean=mean(phq_score) if nino_enc==1 & group==2	
bys age_months: egen phq_sd=sd(phq_score) if nino_enc==1 & group==2
gen phq_std= (phq_score-phq_mean)/phq_sd
	
* Standarize (age in months)	
foreach i in phq_score  {
	cap drop mean var r2 sd
	
	lpoly `i' age_months if nino_enc==1 & group==2, at(age_months) gen(mean)	///
		  nograph
	gen r2=(`i'-mean)^2
	
	lpoly r2 age_months if nino_enc==1 & group==2, at(age_months) gen(var) nograph
	gen sd=sqrt(var)
	gen `i'std=(`i'-mean)/sd			
			
}

* Cut off-points dummies
gen mild_d=.   // 5-9
replace mild_d=0 if phq_score<5 | phq_score>10 & phq_score!=.
replace mild_d=1 if phq_score>=5 & phq_score<10
gen moderate_d=. // 10-14
replace moderate_d=0  if phq_score<10 | phq_score>=15 & phq_score!=.
replace moderate_d=1 if phq_score>=10 & phq_score<15
gen msevere_d=.  //15-19
replace msevere_d=0 if  phq_score>=5 & phq_score<15 | phq_score>=20 & phq_score!=.
replace msevere_d=1 if  phq_score>=15 & phq_score<20
gen severe_d=.  //20 or more
replace severe_d=0 if  phq_score<20
replace severe_d=1 if  phq_score>=20 & phq_score!=.	

* At risk (moderate or more)
gen depression_risk=.
replace depression_risk=1 if gad7_score>=10 & gad7_score!=. 
replace depression_risk=0 if gad7_score<10 & gad7_score!=. 
	
	

keep id edad sexo tsc* tscyc* *tscyc risk* sdq* gad* phq* mild* moderat* severe* msevere* depression_risk anxiety_risk score_tscyc_std




save "$dta_clean/VenReps_Kids_Mental_Health_Scores", replace
 