********************************************************************************
** 						   Replication Package   							  **
**						   Household Variables					  		 	  **	
** 			   			 Thriving Beyond Borders?							  **
**.             Understanding Refugee Children's Life Outcomes   		      **
**												 							  **
********************************************************************************
use "$dta_clean/VenReps_General_Data", clear

*------------------------------------------*
* 1. Variables names and labels
*------------------------------------------*
*------------------------------------------*
* 1.1 Household - In Colombia
*------------------------------------------*
// 30 variables

* Type of dwelling (viv_1)
rename viv_1v894viviendaviv_1 viv_1
label var viv_1 "Type of dwelling"

* Hold Status (viv_2)
rename viv_2v881carcateristicasv viv_2
label var viv_2 "Hold status"

* Number of households living in the dwelling (viv_3)
rename viv_2v882carcateristicasv viv_3
label var viv_3 "Number of households living in the dwelling"

* Exclusive rooms (viv_5)
rename viv_2v883carcateristicasv viv_5
label var viv_5 "Number of exclusive rooms"

* Sleeping rooms (viv_6)
rename viv_2v884carcateristicasv viv_6
label var viv_6 "Number of bedrooms"

* Wall material (viv_7)
rename viv_2v885carcateristicasv viv_7
label var viv_7 "Wall material"
//Other
rename viv_2v128810otracuál viv_7_otro
label var  viv_7_otro "Wall material - Other"

* Type of flooring (viv_8)
rename viv_2v886carcateristicasv viv_8
label var viv_8 "Type of flooring"
//Other
rename viv_2v128908otrocuál viv_8_otro
label var viv_8_otro "Type of flooring - Other"


*  Public, comunal or private services (viv_9-viv_23)
rename viv_9v108comunalesviv_9 viv_9
label var viv_9 "Dwelling has: electricity"
//Strata
rename viv_91v1630cuáleseles viv_9_est
label var viv_9_est "Economic strata according to electricity fare"

rename viv_9v110comunalesviv_10 viv_10 
label var viv_10 "Dwelling has: piped natural gas"

rename viv_9v112comunalesviv_11 viv_11
label var viv_11 "Dwelling has: garbage collecting services"

rename viv_9v114comunalesviv_12 viv_12
label var viv_12 "Dwelling has: running water"

rename viv_9v116comunalesviv_13 viv_13
label var viv_13 "Dwelling has: sewage"

rename viv_14v119serviciosviv_1 viv_14
label var viv_14 "Main source of drinking water"

rename viv_14v913serviciosviv_1 viv_15
label var  viv_15 "Toilet facilities"

rename viv_142v1295serviciosvi viv_16
label var viv_16  "Toilet exclusivity"

rename viv_142v1296serviciosvi viv_17
label var viv_17 "Number of toilets"

rename viv_142v1297serviciosvi viv_18
label var viv_18  "Toilet location"

rename viv_143v1305serviciosvi viv_19
label var viv_19 "Kitchen exclusivity"
 
rename viv_143v1306serviciosvi viv_20
label var viv_20 "Type of fuel or energy source for cooking"

rename viv_9v923comunalesviv_21 viv_21a
label var viv_21a "Dwelling has: internet"

rename viv_9v925comunalesviv_21 viv_21b
label var viv_21b "Dwelling has: cable TV"

rename viv_9v927comunalesviv_21 viv_21c
label var viv_21c "Dwelling has: telephone services"

rename viv_22v929enestehogart viv_22
label var viv_22 "Dweling has: Domestic worker"

rename viv_22v93001sícuántas viv_23
label var viv_23 "Number of domestic workers"


** Household assets (viv_24-viv_31)
rename viv_24v588miembroactivos viv_24a
label var viv_24a "Household assets: Telephones"

rename viv_24v652miembroactivos viv_24b 
label var viv_24b "Household assets: Cellphones"

rename viv_24v661miembroactivos viv_24c
label var viv_24c "Household assets: TVs"

rename viv_24v669miembroactivos viv_24d 
label var viv_24d "Household assets: Computers"

rename viv_24v676miembroactivos viv_24e
label var viv_24e "Household assets: Tablets"

rename viv_24v682miembroactivos viv_24f
label var viv_24f "Household assets: Microwave"

rename viv_24v687miembroactivos viv_24g 
label var viv_24g "Household assets: Washing machine"

rename viv_24v691miembroactivos viv_24h
label var viv_24h "Household assets: Fridge"
	
rename viv_24v694miembroactivos viv_24i
label var viv_24i "Household assets: Blenders"

rename viv_24v696miembroactivos viv_24j
label var viv_24j "Household assets: Water heater"

rename viv_24v698miembroactivos viv_24k 
label var viv_24k "Household assets: Radio/recorder"

rename viv_25v189cuántascuántos viv_25a
label var viv_25a "Household assets: Cars/taxis"

rename viv_25v953cuántascuántos viv_25b
label var viv_25b "Household assets: Motorcycles"

rename viv_25v957cuántascuántos viv_25c
label var viv_25c "Household assets: Bikes"

rename viv_25v960cuántascuántos viv_25d
label var viv_25d "Household assets: Trailers" 

rename viv_26v201activosviv_26 viv_26
label var viv_26 "Household assets: Other houses, apartments, warehouse" 

rename viv_26v962activosviv_27 viv_27
label var viv_27 "Household assets: land"

rename viv_26v963activosviv_28 viv_28
label var viv_28 "Household assets: land - Hectares"

rename viv_26v964activosviv_29 viv_29
label var viv_29 "Household assets: livestock, herds, other farm animals, or poultry"

rename viv_30v220animalesavac viv_30a
label var viv_30a "Animals: Cows or bulls"

rename viv_30v1519animalesbot viv_30b
label var viv_30b "Animals: Other cattle"

rename viv_30v1525animalescca viv_30c
label var viv_30c "Animals: Horses, donkeys, mules"

rename viv_30v1530animalesdca viv_30d
label var viv_30d "Animals: Goats"

rename viv_30v1534animaleseov viv_30e
label var viv_30e "Animals: Sheeps"

rename viv_30v1537animalesfga viv_30f
label var viv_30f "Animals: Chickens or other poultry"

rename viv_31v965algúnmiembro	viv_31
label var viv_31 "Household assets: Account in a bank or other financial inst."
*------------------------------------------*
* 1.2. Household - In Venezuela
*------------------------------------------*
// 30 variables

* Type of dwelling (viv_1v)
rename venv901venezuelaviv_1 viv_1v
label var viv_1v "(Ven) Type of dwelling"

* Hold Status (viv_2v)
rename ven1v902carcateristicas viv_2v
label var viv_2v "(Ven) Hold status"
// Other
rename ven1v90808otroparacar viv_2v_otro
label var viv_2v_otro "(Ven) Hold status -other"

* Number of households living in the dwelling (viv_3v)
rename ven1v903carcateristicas viv_3v
label var viv_3v "(Ven) Number of households living in the dwelling"

* Exclusive rooms (viv_5v)
rename ven1v904carcateristicas viv_5v
label var viv_5v "(Ven) Number of exclusive rooms"

* Sleeping rooms (viv_6v)
rename ven1v905carcateristicas viv_6v
label var viv_6v "(Ven) Number of bedrooms"

* Wall material (viv_7v)
rename ven1v906carcateristicas viv_7v
label var viv_7v "(Ven) Wall material"
//Other
rename ven1v129110otracuál viv_7v_otro
label var  viv_7v_otro "Venezuela: Wall material - Other"

* Type of flooring (viv_8v)
rename ven1v907carcateristicas viv_8v
label var viv_8v "(Ven) Type of flooring"
//Other
rename ven1v129008otrocuál viv_8v_otro
label var viv_8v_otro "(Ven) Type of flooring - Other"

	
*  Public, comunal or private services (viv_9v-viv_23v)
rename viv_9vv936venezuelaviv_9 viv_9v
label var viv_9v "(Ven) Dwelling has: electricity"

rename viv_9vv938venezuelaviv_1 viv_10v
label var viv_10v "(Ven) Dwelling has: piped natural gas"

rename viv_9vv940venezuelaviv_1 viv_11v
label var viv_11v "(Ven) Dwelling has: garbage collecting services"

rename viv_9vv942venezuelaviv_1 viv_12v
label var viv_12v "(Ven) Dwelling has: running water"

rename viv_9vv931venezuelaviv_1 viv_13v
label var viv_13v "(Ven) Dwelling has: sewage"

rename viv_14vv944serviciosvenez viv_14v
label var viv_14v "(Ven) Main source of drinking water"

rename viv_14vv945serviciosvenez viv_15v
label var  viv_15v "(Ven) Toilet facilities"

rename viv_14v1v1309serviciosve viv_16v
label var viv_16v  "(Ven) Toilet exclusivity"

rename viv_14v1v1310serviciosve viv_17v
label var viv_17v "(Ven) Number of toilets"

rename viv_14v1v1311serviciosve viv_18v
label var viv_18v  "(Ven) Toilet location"

rename viv_14v2v1319serviciosve viv_19v
label var viv_19v "(Ven) Kitchen exclusivity"
 
rename viv_14v2v1320serviciosve viv_20v
label var viv_20v "(Ven) Type of fuel or energy source used for cooking"

rename viv_9vv933venezuelaviv_2 viv_21av
label var viv_21av "(Ven) Dwelling has: internet"

rename viv_9vv934venezuelaviv_2 viv_21bv
label var viv_21bv "(Ven) Dwelling has: cable TV"

rename viv_9vv935venezuelaviv_2 viv_21cv
label var viv_21cv "(Ven) Dwelling has: telephone services"

rename viv_22vv951enestehogar viv_22v
label var viv_22v "(Ven) Dweling has: Domestic worker"

rename viv_22vv95201sícuánta viv_23v
label var viv_23v "(Ven) Number of domestic workers"


** Household assets (viv_24v-viv_31v)
rename viv_24vv976miembroatel viv_24av
label var viv_24av "(Ven) Household assets: Telephones"

rename viv_24vv1001miembrobte viv_24bv 
label var viv_24bv "(Ven) Household assets: Cellphones"

rename viv_24vv1010miembrocte viv_24cv
label var viv_24cv "(Ven) Household assets: TVs"

rename viv_24vv1018miembrodco viv_24dv 
label var viv_24dv "(Ven) Household assets: Computers"

rename viv_24vv1025miembroeta viv_24ev
label var viv_24ev "(Ven) Household assets: Tablets"

rename viv_24vv1031miembrofmi viv_24fv
label var viv_24fv "(Ven) Household assets: Microwave"

rename viv_24vv1036miembrofla viv_24gv 
label var viv_24gv "(Ven) Household assets: Washing machine"

rename viv_24vv1040miembrogne viv_24hv
label var viv_24hv "(Ven) Household assets: Fridge"
	
rename viv_24vv1043miembrohli viv_24iv
label var viv_24iv "(Ven) Household assets: Blenders"

rename viv_24vv1046miembroica viv_24jv
label var viv_24jv "(Ven) Household assets: Water heater"

rename viv_24vv1047miembrohra viv_24kv
label var viv_24kv "(Ven) Household assets: Radio/recorder"

rename viv_25vv977cuántascuántos viv_25av
label var viv_25av "(Ven) Household assets: Cars/taxis"

rename viv_25vv978cuántascuántos viv_25bv
label var viv_25bv "(Ven) Household assets: Motorcycles"

rename viv_25vv979cuántascuántos viv_25cv
label var viv_25cv "(Ven) Household assets: Bikes"

rename viv_25vv980cuántascuántos viv_25dv
label var viv_25dv "(Ven) Household assets: Trailers" 

rename viv_26vv981activosvenezue viv_26v
label var viv_26v "(Ven) Household assets: Other houses, apartments, warehouse" 

rename viv_26vv982activosvenezue viv_27v
label var viv_27v "(Ven) Household assets: land"

rename viv_26vv983activosvenezue viv_28v
label var viv_28v "(Ven) Household assets: land - Hectares"

rename viv_26vv984activosvenezue viv_29v
label var viv_29v "(Ven) Household assets: livestock, herds, other farm animals, or poultry"

rename viv_30vv985animalestenía viv_30av
label var viv_30av "(Ven) Animals: Cows or bulls"

rename viv_30vv986animalestenía viv_30bv
label var viv_30bv "(Ven) Animals: Other cattle"

rename viv_30vv987animalestenía viv_30cv
label var viv_30cv "(Ven) Animals: Horses, donkeys, mules"

rename viv_30vv988animalestenía viv_30dv
label var viv_30dv "(Ven) Animals: Goats"

rename viv_30vv989animalestenía viv_30ev
label var viv_30ev "(Ven) Animals: Sheeps"

rename viv_30vv990animalestenía viv_30fv
label var viv_30fv "(Ven) Animals: Chickens or other poultry"

rename viv_31vv991algúnmiembro	viv_31v
label var viv_31v "(Ven) Household assets: Account in a bank or other financial inst."

*------------------------------------------*
* 2. Data Cleaning 
*------------------------------------------*
* viv_1
destring viv_1, replace
replace viv_1=. if viv_1==90
recode viv_1 (7=1) (1=2) (2=3) (3=4) (4=6) (5=7) (6=8) (8=10)
label define lab4 1"House" 2"Apartment" 3"Room(s) in shared house/apt" 4"Room(s) other structure" 5"Indigenous housing" 6"Other (Tent, wagon, boat, cave, natural shelter)" 7"Hotel/hostel" 8"Shelter (ONG, Church, City hall)" 10"Public space"
label values viv_1 lab4

replace viv_1v="1" if viv_1v=="1. Casa" 
replace viv_1v="2" if viv_1v=="02. Apartamento" 
replace viv_1v="3" if viv_1v=="03. Cuarto (s) en inquilinato" 
replace viv_1v="4" if viv_1v=="04. Cuarto (s) en otro" 
replace viv_1v="5" if viv_1v=="05. Vivienda indígena"
replace viv_1v="6" if viv_1v=="06. Otra vivienda (carpa, vagón, embarcación, cueva,"
replace viv_1v="6" if viv_1v=="refugio natural, etc.)"
replace viv_1v="7" if viv_1v=="07. Hotel/ Hostal"
replace viv_1v="8" if viv_1v=="08. Refugio (ONG, alcaldía, iglesia)"
replace viv_1v="10" if viv_1v=="10. Vía pública, terreno, asentamiento en la calle"
replace viv_1v="." if viv_1v=="NA FLUJO"
destring viv_1v, replace
label values viv_1v lab4

* Viv_2
replace viv_2="." if viv_2=="90"
destring viv_2, replace
lab define lab5 1"Owner" 2"Owner (still paying)" 3"Tenant" 4"Borrowed" 5"Ocupant" 6"Collective property" 7"House in pawn" 8"Other"
label values viv_2 lab5

replace viv_2v="1" if viv_2v=="01. Propia totalmente pagada" 
replace viv_2v="2" if viv_2v=="02. Propia, la están (estaban) pagando" 
replace viv_2v="3" if viv_2v=="03. En arriendo o subarriendo" 
replace viv_2v="4" if viv_2v=="04. Con permiso del propietario, sin pago alguno (usufructo)" 
replace viv_2v="5" if viv_2v=="05. Posesión sin título (ocupante de hecho)" 
replace viv_2v="6" if viv_2v=="06. Propiedad colectiva" 
replace viv_2v="7" if viv_2v=="07. Vivienda en empeño" 
replace viv_2v="8" if viv_2v=="08. Otro" 
replace viv_2v="." if viv_2v=="NA FLUJO"
destring viv_2v, replace
label values viv_2v lab5

* Viv_3
replace viv_3="." if viv_3=="NA FLUJO"
replace viv_3v="." if viv_3v=="NA FLUJO"
destring viv_3 viv_3v, replace 

* Viv_5
replace viv_5="." if viv_5=="NA FLUJO"
replace viv_5v="." if viv_5v=="NA FLUJO"
replace viv_5v="999" if viv_5v=="No sabe/No responde"
destring viv_3 viv_5v, replace 

* Viv_6
replace viv_6="." if viv_6=="NA FLUJO"
replace viv_6v="." if viv_6v=="NA FLUJO"
replace viv_6v="999" if viv_6v=="No sabe/No responde"
destring viv_6 viv_6v, replace 

* Viv_7
replace viv_7="." if viv_7=="90"
destring viv_7, replace

replace viv_7v="." if viv_7v=="NA FLUJO"
replace viv_7v="1" if viv_7v=="01. Bloque, ladrillo, piedra, madera pulida, cemento"
replace viv_7v="2" if viv_7v=="02. Tapia pisada, adobe"
replace viv_7v="3" if viv_7v=="03. Bahareque revocado"
replace viv_7v="4" if viv_7v=="04. Bahareque sin revocar"
replace viv_7v="5" if viv_7v=="05. Madera burda, tabla, tablón"
replace viv_7v="6" if viv_7v=="06. Material prefabricado"
replace viv_7v="7" if viv_7v=="07. Guadua, caña, esterilla, otro vegetal"
replace viv_7v="8" if viv_7v=="08. Cinc, tela, lona, cartón, latas, desechos, plástico"
replace viv_7v="10" if viv_7v=="10. Otra, ¿cuál?"
destring viv_7v, replace
label define labv7 1"block, brick, stone, polished wood, cement" 2"stepped wall (adobe)" 3"bahareque (revocado)" 4"bahareque (sin revocar)" 5"rough wood, board or plank" 6"precast material" 7"guadua or other plant materials" 8"zinc, fabric, lone, cardboard, cans, waste, plastic" 9"no walls" 10"other"
recode viv_7 (9=10)
label values viv_7 labv7
label values viv_7v labv7

* Viv_8
replace viv_8="." if viv_8=="90"
replace viv_8v="1" if viv_8v=="01. Alfombra o tapete de pared a pared"
replace viv_8v="2" if viv_8v=="02. Madera pulida y lacada, parqué"
replace viv_8v="3" if viv_8v=="03. Mármol"
replace viv_8v="4" if viv_8v=="04. Baldosa, vinilo, tableta, ladrillo"
replace viv_8v="5" if viv_8v=="05. Madera burda, tabla, tablón, otro vegetal"
replace viv_8v="6" if viv_8v=="06. Cemento, gravilla"
replace viv_8v="7" if viv_8v=="07. Tierra, arena"
replace viv_8v="." if viv_8v=="NA FLUJO"
destring viv_8 viv_8v, replace
label define lab8v 1"Alfombra o tapete de pared a pared" 2"Madera pulida y lacada, parqué" 3"Mármol" 4"Baldosa, vinilo, tableta, ladrillo" 5"Madera burda, tabla, tablón, otro vegetal" 6"Cemento, gravilla" 7"Tierra, arena" 8"other"
label values viv_8 lab8v
label values viv_8v lab8v

* Viv_9
replace viv_9="." if viv_9=="90"
replace viv_9v="." if viv_9v=="NA FLUJO"
replace viv_9v="1" if viv_9v=="01. Sí"
replace viv_9v="2" if viv_9v=="02. No"
destring viv_9 viv_9v, replace

* Socioeconomic Stratum (viv_9_est)
destring viv_9_est, replace
bysort idfamilia (viv_9_est): replace viv_9_est = viv_9_est[1] if missing(viv_9_est)


* Viv_10
replace viv_10="." if viv_10=="90"
replace viv_10v="." if viv_10v=="NA FLUJO"
replace viv_10v="1" if viv_10v=="01. Sí"
replace viv_10v="2" if viv_10v=="02. No"
destring viv_10 viv_10v, replace

* Viv_11
replace viv_11="." if viv_11=="90"
replace viv_11v="." if viv_11v=="NA FLUJO"
replace viv_11v="1" if viv_11v=="01. Sí"
replace viv_11v="2" if viv_11v=="02. No"
destring viv_11 viv_11v, replace

* Viv_12
replace viv_12="." if viv_12=="90"
replace viv_12v="." if viv_12v=="NA FLUJO"
replace viv_12v="1" if viv_12v=="01. Sí"
replace viv_12v="2" if viv_12v=="02. No"
destring viv_12 viv_12v, replace

* Viv_14
replace viv_13="." if viv_13=="90"
replace viv_13v="." if viv_13v=="NA FLUJO"
replace viv_13v="1" if viv_13v=="01. Sí"
replace viv_13v="2" if viv_13v=="02. No"
destring viv_13 viv_13v, replace

* Viv_14
replace viv_14="." if viv_14=="90"
replace viv_14v="." if viv_14v=="NA FLUJO"
replace viv_14v="1" if viv_14v=="01. Acueducto público"
replace viv_14v="2" if viv_14v=="02. Acueducto comunal o veredal"
replace viv_14v="3" if viv_14v=="03. De pozo con bomba"
replace viv_14v="4" if viv_14v=="04. De pozo sin bomba, aljibe, jagüey o barreno"
replace viv_14v="5" if viv_14v=="05. Aguas lluvias"
replace viv_14v="6" if viv_14v=="06. Río, quebrada, nacimiento o manantial"
replace viv_14v="7" if viv_14v=="07. De pila pública"
replace viv_14v="8" if viv_14v=="08. Cisterna"
replace viv_14v="9" if viv_14v=="09. Aguatero"
replace viv_14v="10" if viv_14v=="10. Agua embotellada o en bolsa"
replace viv_14v="11" if viv_14v=="11. Otra"
destring viv_14 viv_14v, replace

* Viv_15
replace viv_15="." if viv_15=="90"
replace viv_15v="." if viv_15v=="NA FLUJO"
replace viv_15v="1" if viv_15v=="01. Inodoro conectado o alcantarillado"
replace viv_15v="2" if viv_15v=="02. Inodoro conectado a pozo séptico"
replace viv_15v="3" if viv_15v=="03. Inodoro sin conexión"
replace viv_15v="4" if viv_15v=="04. Letrina  (pozo negro, hoyo)"
replace viv_15v="5" if viv_15v=="05. Bajamar"
replace viv_15v="6" if viv_15v=="06. No tiene servicio sanitario"
destring viv_15 viv_15v, replace

* Viv_16
replace viv_16="." if viv_16=="90"
replace viv_16v="." if viv_16v=="NA FLUJO"
replace viv_16v="1" if viv_16v=="01. De uso exclusivo de las personas del hogar"
replace viv_16v="2" if viv_16v=="02. Compartido con personas de otros hogares"
destring viv_16 viv_16v, replace

* Viv_17
replace viv_17="." if viv_17=="NA FLUJO"
replace viv_17v="." if viv_17v=="NA FLUJO"
replace viv_17v="0" if viv_17v=="No tenía"
destring viv_17 viv_17v, replace

* Viv_18
replace viv_18="." if viv_18=="90"
replace viv_18v="." if viv_18v=="NA FLUJO"
replace viv_18v="1" if viv_18v=="01. Dentro de la vivienda"
replace viv_18v="2" if viv_18v=="02. Fuera de la vivienda, pero en el lote o terreno"
replace viv_18v="3" if viv_18v=="03. Otro"
destring viv_18 viv_18v, replace

* Viv_19
replace viv_19="." if viv_19=="90"
replace viv_19v="." if viv_19v=="NA FLUJO"
replace viv_19v="1" if viv_19v=="01. De uso exclusivo de las personas del hogar"
replace viv_19v="2" if viv_19v=="02. Compartido con personas de otros hogares"
destring viv_19 viv_19v, replace

* Viv_20
replace viv_20="." if viv_20=="90"
replace viv_20v="." if viv_20v=="NA FLUJO"
replace viv_20v="1" if viv_20v=="01. Electricidad"
replace viv_20v="2" if viv_20v=="02. Gas Natural conectado a red pública"
replace viv_20v="3" if viv_20v=="03. Petróleo, gasolina, kerosene, alcohol, cocinol"
replace viv_20v="4" if viv_20v=="04. Gas propano/ GLP(en cilindro o pipeta)"
replace viv_20v="5" if viv_20v=="05. Carbón mineral"
replace viv_20v="6" if viv_20v=="06. Leña, madera o carbón de leña"
destring viv_20 viv_20v, replace

* Viv_21a
replace viv_21a="." if viv_21a=="90" 
replace viv_21av="." if viv_21av=="NA FLUJO" 
replace viv_21av="1" if viv_21av=="01. Sí" | viv_21av=="01. Sí, ¿cuántas?" 
replace viv_21av="2" if viv_21av=="02. No"
destring viv_21a viv_21av, replace

* Viv_21b
replace viv_21b="." if viv_21b=="90" 
replace viv_21bv="." if viv_21bv=="NA FLUJO" 
replace viv_21bv="1" if viv_21bv=="01. Sí" | viv_21bv=="01. Sí, ¿cuántas?" 
replace viv_21bv="2" if viv_21bv=="02. No"
destring viv_21b viv_21bv, replace

* Viv_21c
replace viv_21c="." if viv_21c=="90" 
replace viv_21cv="." if viv_21cv=="NA FLUJO" 
replace viv_21cv="1" if viv_21cv=="01. Sí" | viv_21cv=="01. Sí, ¿cuántas?" 
replace viv_21cv="2" if viv_21cv=="02. No"
destring viv_21c viv_21cv, replace
label define lab21v 1"yes" 2"no" 3"doesn't know'"
foreach var of varlist viv_21av viv_21bv viv_21cv viv_21a viv_21b viv_21c {
  label values `var' lab21v
}

* Viv_22
replace viv_22="." if viv_22=="90" 
replace viv_22v="." if viv_22v=="NA FLUJO" 
replace viv_22v="1" if viv_22v=="01. Sí" | viv_22v=="01. Sí, ¿cuántas?" 
replace viv_22v="2" if viv_22v=="02. No"
destring viv_22 viv_22v, replace

* Viv_24
local vars "viv_24a viv_24b viv_24c viv_24d viv_24e viv_24f viv_24g viv_24h viv_24i viv_24j viv_24k"
foreach var of local vars {
replace `var'="." if `var'=="NA FLUJO"
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía"  |  `var'=="10" | `var'=="11"
destring `var', replace
}
local vars1 "viv_24av viv_24bv viv_24cv viv_24dv viv_24ev viv_24fv viv_24gv viv_24hv viv_24iv viv_24jv viv_24kv"
foreach var of local vars1 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO"
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía" 
replace `var'="0" if `var'=="11" | `var'=="22" | `var'=="11. No tiene" |  `var'=="10"
destring `var', replace
}

* Viv_25
local vars1 "viv_25a viv_25b viv_25c viv_25d viv_25av viv_25bv viv_25cv viv_25dv"
foreach var of local vars1 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO"
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía" 
replace `var'="0" if `var'=="11" | `var'=="22" | `var'=="11. No tiene" |  `var'=="10"
destring `var', replace
}

* Viv_26
replace viv_26="0" if viv_26=="5"
destring viv_26, replace
local vars1 "viv_26v"
foreach var of local vars1 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO"
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía" |  `var'=="11. No tiene"
replace `var'="0" if `var'=="11" | `var'=="22"
destring `var', replace
}

* Viv_27
destring viv_27, replace
local vars1 "viv_27v"
foreach var of local vars1 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO"
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía" 
replace `var'="0" if  `var'=="No tiene"  | `var'=="No tenía" 
replace `var'="0" if `var'=="11" | `var'=="22"
destring `var', replace
}

* Viv_28   
local vars2 "viv_28 viv_28v"
foreach var of local vars2 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO" | `var'=="No sabe/No responde"
replace `var'="0" if `var'=="No tiene"  | `var'=="No tenía" |  `var'=="10" | `var'=="7" 
destring `var', replace
}

* Viv_29  
local vars2 "viv_29 viv_29v"
foreach var of local vars2 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO" | `var'=="No sabe/No responde"
replace `var'="0" if `var'=="No tiene"  | `var'=="No tenía"  
replace `var'="1" if `var'=="01. sí" 
replace `var'="2" if `var'=="02. No"  
destring `var', replace
}

* Viv_30
local vars3 "viv_30a viv_30b viv_30c viv_30d viv_30e viv_30f viv_30av viv_30bv viv_30cv viv_30dv viv_30ev viv_30fv"
foreach var of local vars3 {
replace `var'="." if `var'=="NA FLUJO" | `var'=="No sabe/No responde"
replace `var'="0" if `var'=="No tiene"  | `var'=="No tenía"  
destring `var', replace
}

* Viv_31
local vars2 "viv_31 viv_31v"
foreach var of local vars2 {
tostring `var', replace
replace `var'="." if `var'=="NA FLUJO" | `var'=="90" 
replace `var'="1" if `var'=="01. sí" | `var'=="01. Sí" 
replace `var'="2" if `var'=="02. No"  
replace `var'="3" if `var'=="No sabe/No responde" | `var'=="999. No sabe/No responde"
destring `var', replace
}
*------------------------------------------*
* 2. Wealth Index  
*------------------------------------------*
***********************************************************
* Variables en t-1 (Before migrating, only for venezuelan)
***********************************************************
gen own_hh = 1 if inlist(viv_2, 1,2)
recode own_hh ( . = 0)
label var own_hh "HH: Dwelling is owned"

*Walls
*encode viv_7v, gen(paredes_v)
*lablist paredes_v
*lablist viv_7v
gen paredes_v=viv_7v
recode paredes_v (1 2 3 6 = 1)  (nonm = 0) (miss = 0)

* Floors
gen pisos_v = viv_8v
recode pisos_v ( 1 2 3 4 = 1) (nonm = 0) (miss = 0)

* acceso servicios venezuela
gen energia_v = viv_9v
recode energia_v ( 2 = 0)

gen gas_v = viv_10v 
recode gas_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen basura_v = viv_11v
recode basura_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen acueducto_v = viv_12v 
recode acueducto_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen alcantarillado_v = viv_13v
recode alcantarillado_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen sanitario_v = viv_15v
recode sanitario_v (1 2 = 1) (nonm = 0) (miss = 0)

gen cook_v = viv_20v
recode cook_v ( 1 2 4 = 1) (nonm = 0) (miss = 0)

gen internet_v = viv_21av
recode  internet_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen tv_v = viv_21bv
recode  tv_v ( 1 = 1)  (nonm = 0) (miss = 0)

gen telefono_v = viv_21cv
recode  telefono_v ( 1 = 1)  (nonm = 0) (miss = 0)
 

* Activos en venezuela																	
global act_1v viv_24av viv_24bv viv_24cv viv_24dv viv_24ev viv_24fv viv_24gv ///
	viv_24hv viv_24iv viv_24jv viv_24kv

foreach var in $act_1v {
	tab `var' 
	replace `var' = . if `var' == 10 						
}

global act_2v viv_25av viv_25bv viv_25cv viv_25dv

foreach var in $act_2v { // no hay que arreglar nada
	tab `var' 
}

*-----------------------
* Variables en t (momento de la encuesta)

* Materiales 
gen paredes = viv_7
recode paredes ( 1 2 3 6 = 1) (nonm = 0) (miss = 0)
 * 1 = Bloque, ladrillo, piedra, tapia, adobe, bahareque revocado, prefabricado
 
gen pisos = viv_8
recode pisos ( 1 2 3 4 = 1) (nonm = 0) (miss = 0)
	* 1 = Alfombra, madera pulida, marmol , baldosa

* Acceso servicios
gen energia = viv_9
recode energia ( 2 = 0)

gen gas = viv_10 
recode gas ( 1 = 1)  (nonm = 0) (miss = 0)

gen basura = viv_11
recode basura ( 1 = 1)  (nonm = 0) (miss = 0)

gen acueducto = viv_12 
recode acueducto ( 1 = 1)  (nonm = 0) (miss = 0)

gen alcantarillado = viv_13
recode alcantarillado ( 1 = 1)  (nonm = 0) (miss = 0)

gen sanitario = viv_15
recode sanitario (1 2 = 1) (nonm = 0) (miss = 0)

gen cook = viv_20
recode cook ( 1 2 4 = 1) (nonm = 0) (miss = 0)

gen internet = viv_21a
recode  internet ( 1 = 1)  (nonm = 0) (miss = 0)

gen tv = viv_21b
recode  tv ( 1 = 1)  (nonm = 0) (miss = 0)

gen telefono = viv_21c
recode  telefono ( 1 = 1)  (nonm = 0) (miss = 0)

* activos																		
global act_1 viv_24a viv_24b viv_24c viv_24d viv_24e viv_24f viv_24g 		///
	viv_24h viv_24i viv_24j viv_24k

foreach var in $act_1 {
	tab `var' 
	replace `var' = . if `var' == 10 						
}

global act_2 viv_25a viv_25b viv_25c viv_25d
foreach var in $act_2 {
	tab `var' 
	replace `var' = . if `var' == 10 						
}



* grupos de activos para indice 

global material paredes pisos // 2 variables
global servicios energia gas basura acueducto alcantarillado sanitario cook ///
	internet tv telefono  // 10 variables
global activos viv_24a viv_24b viv_24c viv_24d viv_24e viv_24f viv_24g 		///
	viv_24h viv_24i viv_24j viv_24k  viv_25a viv_25b viv_25c viv_25d // 15 variables

global material_v paredes_v pisos_v
global servicios_v energia_v gas_v basura_v acueducto_v alcantarillado_v 	///
	sanitario_v cook_v internet_v tv_v telefono_v
global activos_v  viv_24av viv_24bv viv_24cv viv_24dv viv_24ev 				///
	viv_24fv viv_24gv viv_24hv viv_24iv viv_24jv viv_24kv  		 			///
	viv_25av viv_25bv viv_25cv viv_25dv


egen total_assets = rowtotal(viv_24a viv_24b viv_24c viv_24d viv_24e viv_24f viv_24g viv_24h viv_24i viv_24j viv_24k  viv_25a viv_25b viv_25c viv_25d)
egen total_assets_v = rowtotal(viv_24av viv_24bv viv_24cv viv_24dv viv_24ev viv_24fv viv_24gv viv_24hv viv_24iv viv_24jv viv_24kv viv_25av viv_25bv viv_25cv viv_25dv)
* Una obs por hogar (asumiendo que es la misma info para todas las personas 
* dentro del hogar)

local i = 1 
foreach var in $activos{
	
	gen activo_`i' = 1 if `var'>=1 
	replace activo_`i' = 0 if `var'==0 | `var'==. 
local i = `i'+ 1
}

local i = 1 
foreach var in $activos_v{
	
	gen activo_v_`i' = 1 if `var'>=1 
	replace activo_v_`i' = 0 if `var'==0 | `var'==. 
local i = `i'+ 1
}

collapse (mean) $material $servicios $activos $material_v $servicios_v 		///
	$activos_v filtro_0 total_assets total_assets_v activo_* hh_size 		///
	tot_adult menores_hogar own_hh, by(idfamilia)
	
* INDICE DE RIQUEZA 
* Wealth Index in Colombia 
*polychoric $material $servicios $activos
pca $material $servicios $activos
predict wealth_index, score

pca $material 
predict wi_material, score 

egen avg_material = rowmean(paredes pisos)

pca $servicios 
predict wi_servicios, score 

egen avg_servicios = rowmean(energia gas basura acueducto alcantarillado sanitario cook internet tv telefono)

pca $activos 
predict wi_activos, score 

egen avg_activos = rowmean(viv_24a viv_24b viv_24c viv_24d viv_24e viv_24f viv_24g 		///
	viv_24h viv_24i viv_24j viv_24k  viv_25a viv_25b viv_25c viv_25d)
	
egen avg_assets = rowmean(activo_1 activo_2 activo_3 activo_4 activo_5 activo_6 activo_7 activo_8 activo_9 activo_10 activo_11 activo_12 activo_13 activo_14 activo_15)
	
*polychoric $material $servicios $activos
pca $material_v $servicios_v $activos_v
predict wealth_index_ven, score
label var wealth_index_ven "wealth index before migrating"

pca $material_v 
predict wi_material_v, score 

egen avg_material_v = rowmean(paredes_v pisos_v)

pca $servicios_v 
predict wi_servicios_v, score 

egen avg_servicios_v = rowmean(energia_v gas_v basura_v acueducto_v alcantarillado_v sanitario_v cook_v internet_v tv_v telefono_v)

pca $activos_v 
predict wi_activos_v, score 

egen avg_activos_v = rowmean(viv_24av viv_24bv viv_24cv viv_24dv viv_24ev 				///
	viv_24fv viv_24gv viv_24hv viv_24iv viv_24jv viv_24kv  		 			///
	viv_25av viv_25bv viv_25cv viv_25dv)
	
egen avg_assets_v = rowmean(activo_v_1 activo_v_2 activo_v_3 activo_v_4 activo_v_5 activo_v_6 activo_v_7 activo_v_8 activo_v_9 activo_v_10 activo_v_11 activo_v_12 activo_v_13 activo_v_14 activo_v_15)

gen venezuelan = 1 if filtro_0 == 2
recode venezuelan  (. = 0)

sum wealth_index_ven if venezuelan == 0 // bien

	
sum wealth_index wealth_index_ve if venezuelan == 1  

gen wi_pooled = wealth_index_ven if filtro_0 == 2
replace wi_pooled = wealth_index if filtro_0 == 1
label var wi_pooled "Indice riqueza ELCA: Ven antes mig, Col ahora"

save "$dta_clean/VenReps_HH_Variables.dta", replace 

	